<div class="loading" *ngIf='status_loading'>Loading&#8230;</div>
<div [ngStyle]="{'display': template_manage.caaStatus === 'show' ? 'none' : '' }">
  <div class="d-flex bd-highlight">
    <div class="p-2 w-100 bd-highlight">
      <div>
        <a class="pps-header" style="font-size: 28px;">เป้าหมาย/ตัวชี้วัด</a>
      </div>
      <p class="pps-header_th">
        เพิ่มรายละเอียดเป้าหมาย/ตัวชี้วัด เกี่ยวกับรายละเอียดผลิตภัณฑ์
      </p>
    </div>
    <div class="pt-2 flex-shrink-1 bd-highlight"
      *ngIf="(validate === null || validate === true) && template_manage.pageShow !== 'executive'">
      <button type="button" class="btn btn-primary saveDraft" (click)="saveDraft()">
        บันทึกร่างใบคำขอ
      </button>
    </div>
  </div>
  <div class="alert alert-success" role="alert" [ngStyle]="{'display': saveDraftstatus !== 'success' ? 'none' : '' }">
    <a class="alert-detail"><img src="../../../../../assets/img/checkmark.png" class="icon_checkmark">
      บันทึกร่างใบคำขอเรียบร้อย</a>
  </div>
</div>

<!------------------------------------------------- validate === true ------------------------------------------------>
<div style="padding-left: 10px;"
  *ngIf="(validate === null || validate === true) && template_manage.pageShow !== 'executive'">
  <!-------------------------------------------- ตารางเป้าหมาย/ตัวชี้วัด ---------------------------------------------------->
  <div class="row">
    <div class="col-12">
      <p class="head-detal">ตารางเป้าหมาย/ตัวชี้วัด</p>
    </div>
    <div class="col-12">
      <hr>
    </div>
    <div class="col-12">
      <div style="overflow: auto;">
        <table class="table-proccess table table-striped">
          <!-- ----------------------- thead ---------------------------- -->
          <thead>
            <tr>
              <th rowspan=3 style="vertical-align: top; padding: 10px; min-width: 200px;" class="text-nowrap">ตัวชี้วัด
              </th>
              <th [attr.colspan]="colZise - 1" style="text-align: center; padding: 10px;">เป้าหมาย</th>
              <th *ngIf="res.data.goal.year.length > 0"></th>
            </tr>
            <tr>
              <th *ngFor="let item of res.data.goal.year ; index as i" class="input-head-td"
                style="padding-top: 0px; padding-left: 5px; padding-right: 5px; width: 270px;">
                <div *ngIf="i == 0">
                  <input type="number" class="form-control" style="text-align: left; width: 260px;" placeholder=""
                    [(ngModel)]="rowYear[0]" (change)="checkDisabledYear()" (ngModelChange)="changeSaveDraft()">
                  <span class="finan-year" *ngIf="rowYear[0]">ปี พ.ศ.</span>
                </div>
                <div *ngIf="i > 0 " style="text-align: center;">
                  <span>ปี พ.ศ. </span><span *ngIf="rowYear[0]">{{ rowYear[0] + i}}</span>

                </div>
              </th>
              <th style="width: 140px; text-align: center;">
                <button type="button" class="btn add_year" (click)="addYear()"><img
                    src="../../../../../assets/img/add_white.svg" style="width: 18px;height: 18px;">
                  <a>เพิ่มปี</a>
                </button>
              </th>
            </tr>
            <tr [ngStyle]="{'display': (disabledRowAll) ? 'none' : '' }">
              <th *ngFor="let item of res.data.goal.year ; index as j" style="text-align: center;">
                <div class="popup" [attachOutsideOnClick]="attachOutsideOnClick"
                  (clickOutside)="onClickedOutsideYear(j)">
                  <a [ngClass]="{'delete-btn-select': popUpShowRow === j, 'delete-btn': popUpShowRow !== j}"
                    (click)="popUpRow(j)">ลบข้อมูล</a>
                  <div class="row popuptext" [ngStyle]="{'display': !(popUpShowRow === j) ? 'none' : '' }"
                    id="popupRow">
                    <a class="col-6 delete-btn-sub pr-1" style="border-right: 1px solid #F2F2F2;"
                      (click)="deleteRowDetail(j)">ลบข้อมูล</a>
                    <a class="col-6 delete-btn-sub pl-1" (click)="deleteRow(j)">ลบคอลัมน์</a>
                  </div>
                </div>
              </th>
              <th></th>
            </tr>
          </thead>
          <!-- tbody -->
          <tbody *ngFor="let item of stepNine; index as iTabld">
            <tr style="background-color: #F2F2F2;border-top: 5px solid #F2F2F2;">
              <td class="text-nowrap dataDtailHead" style="padding: 10px;">{{stepNine[iTabld].tableName}}</td>
              <td *ngIf="colZise > 1;" [attr.colspan]="colZise - 1" class="pd-0"></td>
              <td
                style="min-width: 140px; max-width: 140px; width:  140px; padding: 5px; text-align: center; vertical-align: middle;">
                <button type="button" class="btn add_table" (click)="addTable(iTabld)"><img
                    src="../../../../../assets/img/add_white.svg">
                  <a>เพิ่มข้อมูล</a>
                </button>
              </td>
            </tr>
            <!----------------------- sub detal table ------------------------->
            <tr>
              <td [attr.colspan]="colZise + 1" style="padding: 0px;">
                <table class="table-proccess-data" cdkDropList [cdkDropListData]="item.data"
                  (cdkDropListDropped)="drop($event)">
                  <tr *ngFor="let detalItem of item.data; index as iSub" [cdkDragDisabled]="" cdkDrag
                    [cdkDragDisabled]="stepNine[iTabld].data[iSub].KPI_dataDraft == false">
                    <td
                      style="min-width: 200px; max-width: 200px; vertical-align: middle; padding-top: 5px;padding-bottom: 5px;">
                      <div class="ml-3" *ngIf="checkStaticTitle(iTabld, iSub); else stepNineNonDataName">
                        <!-- <img cdkDragHandle class="icongrap" src="assets/img/grip-vertical.svg" alt="">&nbsp;&nbsp;<a>{{stepNine[iTabld].data[iSub].KPI_name}}</a> -->
                        {{stepNine[iTabld].data[iSub].KPI_name}}
                      </div>
                      <ng-template #stepNineNonDataName>
                        <img class="icongrap" src="assets/img/grip-vertical.svg" alt="" cdkDragHandle>
                        <!-- <input type="text" class="form-control ml-2" style="padding-top: 0px;padding-bottom: 0px;"
                          placeholder="อื่นๆ ระบุ" [(ngModel)]="stepNine[iTabld].data[iSub].KPI_name"
                          (change)="checkDisabledYear()"
                          (ngModelChange)="checkDisabledRow(iTabld, iSub); changeSaveDraft()"> -->

                        <textarea appTextareaAutoresize autocomplete="off" class="form-control ml-2 example"
                          placeholder="อื่นๆ ระบุ" [(ngModel)]="stepNine[iTabld].data[iSub].KPI_name"
                          (change)="checkDisabledYear()"
                          (ngModelChange)="checkDisabledRow(iTabld, iSub); changeSaveDraft()" name="textvolume"
                          required></textarea>

                      </ng-template>
                    </td>
                    <td *ngFor="let Item of detalItem.KPI_year; index as iyear" style="width: 270px; padding: 5px;">
                      <div *ngIf="stepNine[iTabld].data[iSub].KPI_dataDraft == false; else stepNineNonPlaceholder">
                        <input type="text" class="form-control" placeholder="ระบุรายละเอียดข้อมูล" style="width: 260px;"
                          [(ngModel)]="stepNine[iTabld].data[iSub].KPI_year[iyear].detail"
                          (change)="checkDisabledYear()"
                          (ngModelChange)="checkDisabledRow(iTabld, iSub); changeSaveDraft()">
                      </div>
                      <ng-template #stepNineNonPlaceholder>
                        <input type="text" class="form-control" placeholder="ระบุรายละเอียดข้อมูล" style="width: 260px;"
                          [(ngModel)]="stepNine[iTabld].data[iSub].KPI_year[iyear].detail"
                          (ngModelChange)="checkDisabledRow(iTabld, iSub)">
                      </ng-template>

                    </td>
                    <td
                      style="vertical-align: top; min-width: 140px; max-width: 140px; width: 140px; text-align: center;">
                      <div class="popup" [attachOutsideOnClick]="attachOutsideOnClick"
                        (clickOutside)="onClickedOutsideDetal(iTabld, iSub)">
                        <!-- *ngIf="stepNine[iTabld].data[iSub].KPI_disabledCol == false;"  -->
                        <a [ngClass]="{'delete-btn-select': (popUpShowCol[0].indextable === iTabld  && this.popUpShowCol[0].indexCol === iSub) , 'delete-btn': !(popUpShowCol[0].indextable == iTabld  && this.popUpShowCol[0].indexCol === iSub) }"
                          (click)="popUpCol(iTabld, iSub)">ลบข้อมูล</a>
                        <div class="row popuptextCol shadow"
                          [ngStyle]="{'display': !(popUpShowCol[0].indextable === iTabld  && this.popUpShowCol[0].indexCol === iSub) ? 'none' : '' }"
                          id="popupCol">
                          <a class="col-6 delete-btn-sub pr-1" style="border-right: 1px solid #F2F2F2;"
                            (click)="deleteColDetail(iTabld, iSub)">ลบข้อมูล</a>
                          <a class="col-6 delete-btn-sub pl-1" (click)="deleteCol(iTabld, iSub)">ลบแถว</a>
                        </div>
                      </div>
                    </td>
                  </tr>
                </table>
              </td>
            </tr>
            <!-- -------------------------------------------------------- -->
            <tr style="border: 1px solid #ffffff00;">
              <td [attr.colspan]="colZise" class="pd-0"></td>
              <td class="pt-2 pb-3" style="text-align: center;">
                <button type="button" class="btn add_table " (click)="addTable(iTabld)"><img
                    src="../../../../../assets/img/add_white.svg">
                  <a>เพิ่มข้อมูล</a>
                </button>
              </td>
            </tr>

          </tbody>
        </table>
      </div>
    </div>
  </div>

  <!-- ------------------------------------------------------------------------------------------------------------------ -->
  <div [ngStyle]="{'display': template_manage.caaStatus === 'show' ? 'none' : '' }">
    <br> <br> <br> <br> <br> <br> <br>
    <div class="row">
      <div class="col-12">
        <button class="btn btn-outline-secondary button-next" type="button" (click)="next_step()">ถัดไป</button>
      </div>
    </div>
    <br>
  </div>



</div>
<!------------------------------------------------- end validate === true ------------------------------------------------>


<!------------------------------------------------- validate === false ------------------------------------------------>
<div style="padding-left: 10px;" *ngIf="validate === false || template_manage.pageShow === 'executive'">
  <!-------------------------------------------- ตารางเป้าหมาย/ตัวชี้วัด ---------------------------------------------------->
  <div class="row">
    <div class="col-12">
      <p class="head-detal">ตารางเป้าหมาย/ตัวชี้วัด</p>
    </div>
    <div class="col-12">
      <hr>
    </div>

    <!-- ============================ ของเดิม ============================== -->
    <div class="col-12">
      <div style="overflow: auto;">
        <table class="table-proccess table table-striped">

          <thead>
            <tr>
              <th rowspan=3 style="vertical-align: top; padding: 10px; min-width: 200px;" class="text-nowrap">ตัวชี้วัด
              </th>
              <th [attr.colspan]="colZise - 1" style="text-align: center; padding: 10px;">เป้าหมาย</th>
            </tr>
            <tr>
              <th *ngFor="let item of stepNine[0].data[0].KPI_year; index as i"
                style="padding-top: 0px; padding-left: 5px; padding-right: 5px; width: 270px; text-align: center;">
                {{rowYear[i]}}
              </th>
            </tr>
          </thead>

          <tbody *ngFor="let item of stepNine; index as iTabld">
            <tr style="background-color: #F2F2F2;border-top: 5px solid #F2F2F2;">
              <td class="text-nowrap dataDtailHead" style="padding: 10px;">{{stepNine[iTabld].tableName}}</td>
              <td *ngIf="colZise > 1;" [attr.colspan]="colZise - 1" class="pd-0"></td>
            </tr>

            <tr>
              <td [attr.colspan]="colZise" style="padding: 0px;">
                <table class="table-proccess-data">
                  <tr *ngFor="let detalItem of item.data; index as iSub">
                    <td
                      style="min-width: 200px; max-width: 200px; vertical-align: middle; padding-top: 5px;padding-bottom: 5px;">
                      <div>
                        {{stepNine[iTabld].data[iSub].KPI_name}}
                      </div>
                    </td>
                    <td *ngFor="let Item of detalItem.KPI_year; index as iyear"
                      style="width: 270px; padding: 5px; text-align: center;">
                      <div>
                        {{stepNine[iTabld].data[iSub].KPI_year[iyear].detail}}
                      </div>
                    </td>
                  </tr>
                </table>
              </td>
            </tr>


          </tbody>
        </table>
      </div>
    </div>
    <!-- ================================================================== -->

    <!-- ============================ ของใหม่ ============================== -->
    <!-- <div class="col-12">
      <div style="overflow: auto;">
        <table class="table-proccess table table-striped">

          <thead>
            <tr>
              <th rowspan=2 style="vertical-align: top; padding: 10px; min-width: 200px;" class="text-nowrap">ตัวชี้วัด
              </th>
              <th [attr.colspan]="colZise - 1" style="text-align: center; padding: 10px;">เป้าหมาย (เดิม)</th>
              <th rowspan=2 style="min-width: 10px; width: 10px; max-width: 10px;"></th>
              <th [attr.colspan]="colZise - 1" style="text-align: center; padding: 10px;">เป้าหมาย (ใหม่)</th>
              <th rowspan=2 style="min-width: 10px; width: 10px; max-width: 10px;"></th>
              <th [attr.colspan]="2" style="text-align: center; padding: 10px;">เกิดขึ้นจริง</th>
            </tr>
            <tr>
              <th *ngFor="let item of stepNine[0].data[0].KPI_year; index as i"
                style="padding-top: 0px; padding-left: 5px; padding-right: 5px; min-width: 270px; width: 270px; max-width: 270px; text-align: center;">
                {{rowYear[i]}}
              </th>
              <th *ngFor="let item of stepNine[0].data[0].KPI_year; index as i"
                style="padding-top: 0px; padding-left: 5px; padding-right: 5px; min-width: 270px; width: 270px; max-width: 270px; text-align: center;">
                {{rowYear[i]}}
              </th>
              <th
                style="padding-top: 0px; padding-left: 5px; padding-right: 5px; min-width: 470px; width: 470px; max-width: 470px; text-align: center;">
                สะสมถึงปัจจุบัน
              </th>
              <th
                style="padding-top: 0px; padding-left: 5px; padding-right: 5px; min-width: 470px; width: 470px; max-width: 470px; text-align: center;">
                ปีปัจจุบัน
              </th>
            </tr>
          </thead>

          <tbody *ngFor="let item of stepNine; index as iTabld">
            <tr style="background-color: #F2F2F2;border-top: 5px solid #F2F2F2;">
              <td class="text-nowrap dataDtailHead" style="padding: 10px;">{{stepNine[iTabld].tableName}}</td>
              <td *ngIf="colZise > 1;" [attr.colspan]="colZise + colZise + 6" class="pd-0"></td>
            </tr>

            <tr>
              <td [attr.colspan]="colZise + colZise + 3" style="padding: 0px;">
                <table class="table-proccess-data">
                  <tr *ngFor="let detalItem of item.data; index as iSub">
                    <td
                      style="min-width: 200px; max-width: 200px; vertical-align: middle; padding-top: 5px;padding-bottom: 5px;">
                      {{stepNine[iTabld].data[iSub].KPI_name}}
                    </td>
                    <td *ngFor="let Item of detalItem.KPI_year; index as iyear"
                      style="min-width: 270px; width: 270px; max-width: 270px; padding: 5px; text-align: center;">
                      {{stepNine[iTabld].data[iSub].KPI_year[iyear].detail}}
                    </td>

                    <td style="min-width: 10px; width: 10px; max-width: 10px;"></td>

                    <td *ngFor="let Item of detalItem.KPI_year; index as iyear"
                      style="min-width: 270px; width: 270px; max-width: 270px; padding: 5px; text-align: center;">
                      <div>
                        {{stepNine[iTabld].data[iSub].KPI_year[iyear].detail}}
                      </div>
                    </td>

                    <td style="min-width: 10px; width: 10px; max-width: 10px;"></td>

                    <td style="min-width: 470px; width: 470px; max-width: 470px; padding: 5px; text-align: center;">
                      aaaaaaaaaa
                    </td>
                    <td style="min-width: 470px; width: 470px; max-width: 470px; padding: 5px; text-align: center;">
                      sssssssssss
                    </td>

                  </tr>
                </table>
              </td>
            </tr>


          </tbody>
        </table>
      </div>
    </div> -->
    <!-- ================================================================== -->
    <div class="col-12">
      <br> <br>
    </div>
  </div>
  <!-- ------------------------------------------------------------------------------------------------------------------ -->
</div>
<!------------------------------------------------- end validate === false ------------------------------------------------>
<div class="row" *ngIf="validate === false || template_manage.pageShow === 'executive'"
  [ngStyle]="{ display: template_manage.caaStatus === 'show' ? 'none' : '' }">
  <br>
  <div class="col-12">
    <button class="btn btn-outline-secondary button-next" type="button" (click)="viewNext()">ถัดไป</button>
  </div>
</div>
<br>